import influxframework


def execute():
	influxframework.reload_doctype("System Settings")
	doc = influxframework.get_single("System Settings")
	doc.enable_chat = 1

	# Changes prescribed by Nabin Hait (nabin@influxframework.io)
	doc.flags.ignore_mandatory = True
	doc.flags.ignore_permissions = True

	doc.save()
